Ask The Experts

Installing NMSDK in Python

My Netapp filers are running 9.1p5, python version is 3.7.3 and NMSDK version is 9.4.

When i run the following python script, it gives me the error and the error message is given below at the end.

My guess is that i am not using the correct api version in the script.  Can anyone help me with the  solution to the problem ?

 

<results status="failed" reason="[Errno 0] Error" errno="13001"></results> - error message

from NaServer import *

s=NaServer("<ip>",1,130)
s.set_server_type("FILER")
s.set_transport_type("HTTPS")
s.set_port(443)
s.set_style("LOGIN")
s.set_admin_user("USER_NAME", "PASSWORD")

api=NaElement("system-get-version")

xo=s.invoke_elem(api)

if (xo.results_status() == "failed"):
    print("Error:\n")
    print(xo.sprintf())
    sys.exit(1)
print("Received:\n")
print(xo.sprintf())

 

the error message is given below:

 

<results status="failed" reason="[Errno 0] Error" errno="13001"></results>

 

I

Cloud Volumes ONTAP
Review Banner
All Community Forums
Public